package TopFrame;
use strict;
use GUI::Light;
use System;
use Html;

sub tabs {
  my($info, $window, $q, $renv, $url1, $url2, $model) = @_;

  my $OFF = $q->{OFF};
  my $lights = GUI::Light::url();
  my $nt = $q->{DOC} ? "NT": "";
  my $h1 =<<EOF;
  $info->{style}
 <style type="text/css"> .t10       {text-decoration:none;} </style>
 <script>
  $lights
 function start1(a) {
    parent.frames[1].document.location='$Http::WEBPROC?GO=GUI::Navigation::welcome&MENU=' + a + '&TOPDONE=1';
    //parent.frames[1].document.location='/empty.html';
 }
 function start2(a) {
    window.document.location='/rashttp?GO=GUI::Navigation::index&MENU=>' + a;
 }
 function help1(a) {
      var b = '/htdocs/help_frame.html';
      var O = window.open(b,'help_W','menubar=yes,resizable=yes,scrollbars=yes,width=700,height=600');
      O.focus();
   }

 </script>
  <body bgcolor=$Style::BGCOLOR $Style::DARK  xbackground=/gif/top_bg.gif leftmargin=0 topmargin=1 marginwidth=0 marginheight=1>
   <table border=0 cellspacing=0 cellpadding=0 width=100% >
   <tr bgcolor=black><td width=1% rowspan=3 valign=top bgcolor=$Style::DARK>
     <a Xhref=\"javascript:open_light(0)\">
      <img src=/gif/tab_logo$nt.gif name=logo border=0 width=125 xheight=13 title=Sun alt=Sun></a></td>
     <td><img src=/gif/dot_clear.gif height=21 width=1></td><td>&nbsp;<font color=white>$info->{label1}</b>$model</td>
     <td align=right colspan=2 nowrap>
        <a$OFF href=$Http::WEBPROC?RESETLOGIN=1 class=t10 target=_top><font color=white>$info->{label4}</font></a>
        <font color=#FF9900>|</font>
        <a$OFF href=$url1 class=t10><font color=white>$info->{label2}</font></a>
        <font color=#FF9900>|</font>
        <a$OFF href=$Http::WEBPROC?GO=GUI::Navigation::site target=bottom class=t10><font color=white>$info->{label5}</font></a>
        <font color=#FF9900>|</font>
        <a$OFF href=\"javascript:help1(1)\" class=t10><font color=white>$info->{label3}</font></a>
        &nbsp;
     </td>
   <tr><td colspan=4 bgcolor=white><img src=/gif/dot_clear.gif height=1></td>
   <tr bgcolor=$Style::DARK>
       <td valign=bottom colspan=3>
         <table border=0 cellspacing=0 cellpadding=0><tr>
EOF
  return $h1;
}




#########################################
#  HCI2
#########################################

sub hci2 {
  my($info, $window, $q, $renv, $url1, $url2, $model) = @_;

  my $OFF     = $q->{OFF};
  my $G       = Labels->read();
  my $ruser   = System->get_ruser();
  my $window  = $ruser->{window} || $renv->{window};
  my $target  = "target=bottom" if ($window ne "N");
  my $LM      = $window eq "N" ? 2 : 0;
  require State;
  my $X       = State->sev_labels() ;

  my $server  = Util->shortHostname($renv->{hostname});
  my $search  = Html->makeSelect("search","S=- Search -", $q->{SEARCH});
  require State;
  my ($SEV, $sev_date) = State->read_sev_summary();

  my $sev_date       = substr($sev_date,5);
  my $sevs = "<table border=0 cellspacing=0><tr>";
  my $cnt = 3;
  foreach my $x ('al_down=black','al_crit=red','al_alert=#F0A000', 'al_caution=blue') {
    my($pic,$col) = split(/\=/, $x);
    my $sev = $cnt == 0 ? 5 : $cnt;
    my $alt = $X->[$sev];
    my $url = "<a href=\"$Http::WEBPROC?GO=GUI::DeviceReport::alarmRun&severity=$sev\" class=t10 $target>".
         "<font color=$Style::TOP_FG><img src=/gif/$pic.gif title=\"[$alt]\" alt=\"[$alt]\" width=13 border=0>&nbsp;" .
          ($SEV->[$cnt]+0) . "</font></a>";
    $sevs .= "<td>$url&nbsp;&nbsp;</td>";
    $cnt--;
  }
  $sevs .= "</table>";
  my $lights = GUI::Light::url();
  my ($console, $login_url);

  if ($renv->{solution} eq "se2") {
    $console   = "/console/launch/Launch target=_top ";
    $login_url = "/console/launch/Launch?Launch.Masthead.LogOutHREF=&amp;jato.pageSession=";
  } else {
    $console   = "$Http::WEBPROC?GO=GUI::Welcome::welcome $target";
    $login_url = "$Http::WEBPROC?RESETLOGIN=1";
  }
  my $uid =  lc($ruser->{userid});
  my $short = Util->shortHostname($renv->{hostname});
  my $version = "<a href=\"javascript:version(1)\" class=t10><font color=$Style::TOP_FG>$G->{version}</font></a>";
  my ($sa_logo, $sa_logo_bg);
  if ($renv->{solution} eq "N") {
     $sa_logo_bg = "black";
     $sa_logo = 
          "<a href=$Http::WEBPROC?GO=GUI::Welcome::welcome $target>".
          "<img src=/gif/logo.gif width=73 border=0 title=$G->{home} alt=$G->{home} hspace=0 vspace=0></a>";
  } else {
     $sa_logo = "<img src=/gif/logo_S1.gif height=67 title=$G->{home} alt=$G->{home} border=0 hspace=0 vspace=0>";
     $sa_logo_bg = "#7EC3A6";
  }

  my $spacer = "<td width=1%><img src=/gif/dot_clear.gif width=3></td>";
  my $SP1    = $renv->{window} eq "N" ? $Style::SPACER1 : 4;
  my $search = "<a$OFF href=\"javascript:win2()\" class=t10> <font color=$Style::TOP_FG><b>$G->{search}</b></font></a>";
  my $prodname = "<img src=/gif/storade-masthead.gif>";
  if ($renv->{portal}) {
     $search = "<a href=$Http::WEBPROC?GO=GUI::Portal::search class=t10 $target><font color=$Style::TOP_FG><b> Search NSCC</b></font></a>";
    $prodname = "<big><b>StorADE Portal</b></big>";
  }
  my $serverN =  $renv->{solution} eq "N" ? $G->{server} : $G->{storage};

  my $HELP1 = "javascript:help1('/htdocs/help_frame.html')";
  if ( $renv->{sun_help} ) {
     my $url = Html->sunhelp($q->{ITEM}, $renv, $ruser);
     $HELP1  = "javascript:help1('$url')";
  }
  my $console_string = $renv->{solution} eq "N" ? $G->{home} : $G->{console};
  my $model;
  if ($renv->{solution} ne "N") {
    $model = "($G->{model} $renv->{solution_model})";
  }
  my $h1 =<<EOF;
  $info->{style}
 <title>$short - $G->{prod_name}</title>
 <style type="text/css"> .t10       {text-decoration:none;}</style>
 <script>
  $lights
 function startDef(a) {
    parent.frames[1].document.location='$Http::WEBPROC?GO=' + a;
 }
 function start1(a) {
    parent.frames[1].document.location='$Http::WEBPROC?GO=GUI::Navigation::welcome&MENU=' + a + '&TOPDONE=1';
    //parent.frames[1].document.location='/empty.html';
 }
 function start2(a) {
    window.document.location='/rashttp?GO=GUI::Navigation::index&MENU=>' + a;
 }
 function version(a) {
    var b = '$Http::WEBPROC?GO=GUI::Navigation::version';
    var O = window.open(b,'procW','resizable=yes,width=650,height=532');
    O.focus();
 }
 function win2(a) {
    var b = '/htdocs/help_frame.html';
    var O = window.open(b,'procW','resizable=yes,width=800,height=600');
    O.focus();
 }
 function help1(b) {
      var O = window.open(b,'help_W','menubar=no,resizable=yes,scrollbars=yes,width=800,height=700');
      O.focus();
   }
</script>
  <body bgcolor=$Style::BGCOLOR alink=red
         leftmargin=$LM topmargin=0 marginwidth=$LM marginheight=0>
  <table border=0 cellspacing=0 cellpadding=0 width=100% bgcolor=$Style::TOPBGCOLOR>
   <tr><form>
      <td>&nbsp;<font color=$Style::TOP_FG>
          |&nbsp;
          <a$OFF href=$console  class=t10><b><font color=$Style::TOP_FG>$console_string</font></b></a>
          &nbsp;|&nbsp;
          <b>$version </b>
          &nbsp;|&nbsp;$renv->{version}
      </td>
      <td align=right>
         <table border=0 cellspacing=0 cellpadding=0><tr><td>
           <small><img src=/gif/dot_clear.gif height=21><xinput type=text name=SEARCH_VALUE size=10>
           </td><td>
           </td><td><font color=$Style::TOP_FG>
            <a$OFF href=$Http::WEBPROC?GO=GUI::Navigation::site $target class=t10><font color=$Style::TOP_FG><b>$info->{label5}</b></font></a>
             &nbsp;|&nbsp;
             <a$OFF href=\"$login_url\" class=t10 target=_top onclick=\"javascript: return confirm('$G->{confirm_logout}')\"><b><font color=$Style::TOP_FG>$info->{label4}</font></b></a>
             &nbsp;|&nbsp;
             <a$OFF href=\"$HELP1\" class=t10><b><font color=$Style::TOP_FG>$info->{label3}</font></b></a>
             &nbsp;
           </td>
             </form>
          </table>
      </td>
  </table>
  <table border=0 cellspacing=0 cellpadding=0 width=100% bgcolor=$Style::TOPBGCOLOR><tr>
      <td width=1%>&nbsp;&nbsp;</td> 
      <td width=4% bgcolor=$sa_logo_bg valign=top>
        $sa_logo 
      </td>
      $spacer
      <td bgcolor=white valign=top width=45%>
          <table border=0 width=100% cellspacing=0 cellpadding=2>
            <tr><td nowrap><font color=$Style::SUNBLUE>$prodname</td>
            <tr><td><font color=black>$G->{user}: $uid &nbsp; $serverN: $server &nbsp; $model
                </td>
          </table>
      </td>
      $spacer
      <td bgcolor=$Style::LIGHT width=35% valign=top>
          <table border=0 width=100% cellspacing=0 cellpadding=2>
             <tr><td width=10% nowrap><table border=0 cellpadding=6><tr><td></table></td>
             <tr><td width=10% nowrap>$G->{lmonitoring}:</td><td nowrap>$sev_date</td>
             <tr><td nowrap>$G->{calarms}:</td><td>$sevs</td>
          </table>
      </td>
      $spacer
      <td bgcolor=$Style::SUNBLUE width=10%>
          <img src=/gif/tab_logo2.gif width=130 height=63 border=0 hspace=0 vspace=0 alt=\"$G->{sun_trademark}\" title=\"$G->{sun_trademark}\">
      </td>
      $spacer
   </tr>
  <tr><td colspan=9><img src=/gif/dot_clear.gif height=$SP1></td>

   <tr><td valign=bottom colspan=9>
       <table border=0 cellspacing=0 cellpadding=0>
            <tr><td> <img src=/gif/dot_clear.gif width=$Style::FIRST_TAB_SPACE 
	                height=1></td>
EOF
  return $h1;
}

sub palm_hci2 {
  my($info, $window, $q, $renv, $url1, $url2, $model) = @_;

  my $OFF     = $q->{OFF};
  my $G       = Labels->read();
  my $ruser   = System->get_ruser();
  my $window  = $ruser->{window} || $renv->{window};
  my $target  = "target=bottom" if ($window ne "N");
  my $LM      = $window eq "N" ? 2 : 0;
  require State;
  my $X       = State->sev_labels() ;

  my $server  = Util->shortHostname($renv->{hostname});
  my $search  = Html->makeSelect("search","S=- Search -", $q->{SEARCH});
  require State;
  my ($SEV, $sev_date) = State->read_sev_summary();

  my $sev_date       = substr($sev_date,5);
  my $sevs = "<table border=0 cellspacing=0><tr>";
  my $cnt = 3;
  foreach my $x ('al_down=black','al_crit=red','al_alert=#F0A000', 'al_caution=blue') {
    my($pic,$col) = split(/\=/, $x);
    my $sev = $cnt == 0 ? 5 : $cnt;
    my $alt = $X->[$sev];
    my $url = "<a href=\"$Http::WEBPROC?GO=GUI::DeviceReport::alarmRun&severity=$sev\" class=t10 $target>".
         "<font color=$Style::TOP_FG><img src=/gif/$pic.gif title=\"[$alt]\" alt=\"[$alt]\" width=13 border=0>&nbsp;" .
          ($SEV->[$cnt]+0) . "</font></a>";
    $sevs .= "<td>$url&nbsp;&nbsp;</td>";
    $cnt--;
  }
  $sevs .= "</table>";
  my $lights = GUI::Light::url();
  my ($console, $login_url);

  if ($renv->{solution} eq "se2") {
    $console   = "/console/launch/Launch target=_top ";
    $login_url = "/console/launch/Launch?Launch.Masthead.LogOutHREF=&amp;jato.pageSession=";
  } else {
    $console   = "$Http::WEBPROC?GO=GUI::Welcome::welcome $target";
    $login_url = "$Http::WEBPROC?RESETLOGIN=1";
  }
  my $uid =  lc($ruser->{userid});
  my $short = Util->shortHostname($renv->{hostname});
  my $version = "<a href=\"javascript:version(1)\" class=t10><font color=$Style::TOP_FG>$renv->{version}</font></a>";
  my $sa_logo = $renv->{solution} eq "N" ?
          "<a href=$Http::WEBPROC?GO=GUI::Welcome::welcome $target>".
          "<img src=/gif/logo.gif width=73 border=0 title=$G->{home} alt=$G->{home} hspace=0 vspace=0></a>"
        : "<img src=/gif/logo.gif width=73 border=0 hspace=0 vspace=0>";

  my $spacer = "<td width=1%><img src=/gif/dot_clear.gif width=3></td>";
  my $search = "<a$OFF href=\"javascript:win2()\" class=t10> <font color=$Style::TOP_FG><b>$G->{search}</b></font></a>";

  my $prodname = "<b>Sun StorADE Palm";
  my $serverN =  $renv->{solution} eq "N" ? $G->{server} : $G->{storage};

  my $HELP1 = "\"javascript:help1('/htdocs/help_frame.html')\"";
  if ( $renv->{sun_help} ) {
     my $url = Html->sunhelp($q->{ITEM}, $renv, $ruser);
     $HELP1  = "\"javascript:help1('$url')\"";
  }
  my $console_string = $renv->{solution} eq "N" ? $G->{home} : $G->{console};

  my $h1 =<<EOF;
  $info->{style}
 <title>$short - $G->{prod_name}</title>
 <style type="text/css"> .t10       {text-decoration:none;}</style>
 <script>
  $lights
 function startDef(a) {
    parent.frames[1].document.location='$Http::WEBPROC?GO=' + a;
 }
 function start1(a) {
    parent.frames[1].document.location='$Http::WEBPROC?GO=GUI::Navigation::welcome&MENU=' + a + '&TOPDONE=1';
    //parent.frames[1].document.location='/empty.html';
 }
 function start2(a) {
    window.document.location='/rashttp?GO=GUI::Navigation::index&MENU=>' + a;
 }
 function version(a) {
    var b = '$Http::WEBPROC?GO=GUI::Navigation::version';
    var O = window.open(b,'procW','resizable=yes,width=650,height=532');
    O.focus();
 }
 function win2(a) {
    var b = '/htdocs/help_frame.html';
    var O = window.open(b,'procW','resizable=yes,width=800,height=600');
    O.focus();
 }
 function help1(b) {
      var O = window.open(b,'help_W','menubar=no,resizable=yes,scrollbars=yes,width=800,height=700');
      O.focus();
   }
</script>
  <body bgcolor=$Style::BGCOLOR alink=red
         leftmargin=$LM topmargin=0 marginwidth=$LM marginheight=0>
  <table border=0 cellspacing=0 cellpadding=0 width=100% bgcolor=$Style::TOPBGCOLOR>
   <tr><form>
      <td>&nbsp;<font color=$Style::TOP_FG>
          <a$OFF href=$console  class=t10><b><font color=$Style::TOP_FG>$console_string</font></b></a>
          &nbsp;|&nbsp;
          <b>$version </b>
      </td>
      <td align=right>
         <table border=0 cellspacing=0 cellpadding=0><tr><td>
           <small><img src=/gif/dot_clear.gif ><xinput type=text name=SEARCH_VALUE size=10>
           </td><td>
           </td><td><font color=$Style::TOP_FG>
            <a$OFF href=$Http::WEBPROC?GO=GUI::Navigation::site $target class=t10><font color=$Style::TOP_FG><b>$info->{label5}</b></font></a>
             &nbsp;|&nbsp;
             <a$OFF href=\"$login_url\" class=t10 target=_top onclick=\"javascript: return confirm('$G->{confirm_logout}')\"><b><font color=$Style::TOP_FG>$info->{label4}</font></b></a>
             &nbsp;|&nbsp;
             <a$OFF href=\"$HELP1\" class=t10><b><font color=$Style::TOP_FG>$info->{label3}</font></b></a>
             &nbsp;
           </td>
             </form>
          </table>
      </td>
  </table>
  <table border=0 cellspacing=0 cellpadding=0 width=100% bgcolor=$Style::TOPBGCOLOR><tr>
      <td width=1%>&nbsp;</td> 
      <td bgcolor=white valign=top>
          <table border=0 width=100% cellspacing=0 cellpadding=1>
            <tr><td nowrap><font color=$Style::SUNBLUE>$prodname</td>
            <tr><td><font color=black>$G->{user}: $uid &nbsp; $serverN: $server 
                </td>
          </table>
      </td>
      $spacer
      <td colspan=6  bgcolor=$Style::LIGHT valign=top>
          <table border=0 width=100% cellspacing=0 cellpadding=1>
            <tr><td>$G->{calarms}</td>
            <tr><td>$sevs</td>
          </table>
      </td>
   </tr>
  <tr><td colspan=9><img src=/gif/dot_clear.gif height=4></td>

   <tr><td valign=bottom colspan=9>
       <table border=0 cellspacing=0 cellpadding=0>
            <tr><td> <img src=/gif/dot_clear.gif width=$Style::FIRST_TAB_SPACE 
	                height=1></td>
EOF
  return $h1;
}


1;
